> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request.md).

# Initiate a Payout request

### Initiate a Payout request

Create a payout request to a beneficiary. Parts of the schema will depend on the payment method you wish to use to do the payout.

Note that you may send a payout request in either Local Currency or USD. Please confirm with your account manager.

The end beneficiary will receive payout in **Local Currency only**.

## **Endpoint**

| Environment | Method                                      | URL                                                                                         |
| ----------- | ------------------------------------------- | ------------------------------------------------------------------------------------------- |
| Sandbox     | <mark style="color:blue;">**`POST`**</mark> | [https://payout.codapayments-staging.com/payouts](https://payout.codapayments-staging.com/) |
| Production  | <mark style="color:blue;">**`POST`**</mark> | [https://payout.codapayments.com/payouts](https://payout.codapayments.com)                  |

### **Request parameters** <a href="#request-parameters" id="request-parameters"></a>

| Parameter      | Type   | Required | Description                                                                                                                         | Validation                                                                                                                                                                                                                                                   |
| -------------- | ------ | -------- | ----------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| payout\_method | Object | Yes      | Details of the payout method to use                                                                                                 | See payout\_method details below                                                                                                                                                                                                                             |
| amount         | Object | Yes      | Details of the amount                                                                                                               | See amount details below                                                                                                                                                                                                                                     |
| country\_code  | string | Yes      | 2-letter country code ISO 3166                                                                                                      | <p>2 letters e.g. Egypt: “EG”</p><p>See “<a href="broken://pages/Ktlm30K7PrOtCNOI7TJI">Country\_code & currency\_code list</a>” below.</p>                                                                                                                   |
| purpose        | string | Yes      | Purpose of the payout                                                                                                               | <p>Enum:</p><p>“<strong>revenue\_share</strong>”,</p><p>“<strong>salaries</strong>”,</p><p>“<strong>payment\_for\_suppliers</strong>”</p><p>Pakistan: Influencer payments should be reported as “revenue\_share”. These will be charged withholding tax.</p> |
| reference      | string | No       | This is a reference you wish to attach to the payout. It will be displayed to the beneficiary if the payment method used allows it. | <p>This is a free text field.</p><p>Max 255 char</p>                                                                                                                                                                                                         |
| request\_id    | string | Yes      | A unique request ID that is attached to the payout request, created by Merchant. **Please note that this has to be idempotent**.    | Only allow alphanumeric characters, hyphen “-”, and underscore “\_”                                                                                                                                                                                          |

### **amount** <a href="#amount" id="amount"></a>

| Parameter      | Type   | Required | Description                                                                                      | Validation                                                                                                                         |
| -------------- | ------ | -------- | ------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------- |
| value          | number | Yes      | Request amount – total requested payout amount.                                                  | Max decimal place: 2                                                                                                               |
| currency\_code | string | Yes      | <p>Request currency – currency of the request amount.</p><p>3-letter currency code ISO 4217.</p> | <p>3 letters e.g. EGP</p><p>See “<a href="broken://pages/Ktlm30K7PrOtCNOI7TJI">Country\_code & currency\_code list</a>” below.</p> |

### **payout\_method** <a href="#payout_method" id="payout_method"></a>

| Parameter       | Type   | Required | Description                | Validation                                                                                                                                                              |
| --------------- | ------ | -------- | -------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| type            | string | Yes      | Payout method used         | Enum: ”bank\_transfer”, “wallet”                                                                                                                                        |
| payment\_method | string | Yes      | Payment method used        | <p>One of the payment methods supported.</p><p>See “<a href="broken://pages/rsGLjgDb73MoKkdoUCPG">Country details</a>” below for supported methods in each country.</p> |
| beneficiary     | Object | Yes      | Details of the beneficiary | See beneficiary details below                                                                                                                                           |

### **beneficiary** <a href="#beneficiary" id="beneficiary"></a>

| Parameter               | Type   | Required | Description                                                           | Validation                                                                                                |
| ----------------------- | ------ | -------- | --------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------- |
| name                    | string | Yes      | Recipient’s full name                                                 | Max 255 char                                                                                              |
| payout\_method\_details | Object | Yes      | Details on the recipient’s account for the specified payment channel. | See “[Country details](broken://pages/rsGLjgDb73MoKkdoUCPG)” below for supported methods in each country. |

Depending on the payment channel you want to use to send the payout to the beneficiary, the “payout\_method\_details” object would be named differently and have different mandatory fields. You can find below the list of payment channels supported and the mandatory fields for each.

### **Response parameters** <a href="#response-parameters" id="response-parameters"></a>

| Parameter             | Description                                                                                                                 |
| --------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| payout\_method.type   | Country code + the Payout method used, passed in the request                                                                |
| amount.value          | Request amount – total requested payout amount. Passed in the API request.                                                  |
| amount.currency\_code | <p>Request currency – currency of the request amount.</p><p>3-letter currency code ISO 4217, passed in the API request.</p> |
| country\_code         | <p>Country of payout.</p><p>2-letter country code ISO 3166, passed in the API request</p>                                   |
| purpose               | Purpose of payout, passed in the API request                                                                                |
| reference             | Free text, passed in the API request                                                                                        |
| request\_id           | A unique request ID that is attached to the payout request, created by Merchant. Passed in the API request.                 |
| due\_date             | As passed in the API request                                                                                                |
| id                    | Coda payout transaction id: string                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
